# Uses of Class
org.apache.commons.math3.linear.ArrayFieldVector

Packages that use ArrayFieldVector
Package
Description
org.apache.commons.math3.linear
Linear algebra support.

## Uses of ArrayFieldVector in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that return ArrayFieldVector
Modifier and Type
Method
Description
`ArrayFieldVector<T>`
ArrayFieldVector.`add(ArrayFieldVector<T> v)`
Compute the sum of `this` and `v`.
`ArrayFieldVector<T>`
ArrayFieldVector.`append(ArrayFieldVector<T> v)`
Construct a vector by appending a vector to this vector.
`ArrayFieldVector<T>`
ArrayFieldVector.`ebeDivide(ArrayFieldVector<T> v)`
Element-by-element division.
`ArrayFieldVector<T>`
ArrayFieldVector.`ebeMultiply(ArrayFieldVector<T> v)`
Element-by-element multiplication.
`ArrayFieldVector<T>`
ArrayFieldVector.`projection(ArrayFieldVector<T> v)`
Find the orthogonal projection of this vector onto another vector.
`ArrayFieldVector<T>`
ArrayFieldVector.`subtract(ArrayFieldVector<T> v)`
Compute `this` minus `v`.
Methods in org.apache.commons.math3.linear with parameters of type ArrayFieldVector
Modifier and Type
Method
Description
`ArrayFieldVector<T>`
ArrayFieldVector.`add(ArrayFieldVector<T> v)`
Compute the sum of `this` and `v`.
`ArrayFieldVector<T>`
ArrayFieldVector.`append(ArrayFieldVector<T> v)`
Construct a vector by appending a vector to this vector.
`T`
ArrayFieldVector.`dotProduct(ArrayFieldVector<T> v)`
Compute the dot product.
`ArrayFieldVector<T>`
ArrayFieldVector.`ebeDivide(ArrayFieldVector<T> v)`
Element-by-element division.
`ArrayFieldVector<T>`
ArrayFieldVector.`ebeMultiply(ArrayFieldVector<T> v)`
Element-by-element multiplication.
`FieldMatrix<T>`
ArrayFieldVector.`outerProduct(ArrayFieldVector<T> v)`
Compute the outer product.
`ArrayFieldVector<T>`
ArrayFieldVector.`projection(ArrayFieldVector<T> v)`
Find the orthogonal projection of this vector onto another vector.
`void`
ArrayFieldVector.`set(int index, ArrayFieldVector<T> v)`
Set a set of consecutive elements.
`ArrayFieldVector<T>`
ArrayFieldVector.`subtract(ArrayFieldVector<T> v)`
Compute `this` minus `v`.
Constructors in org.apache.commons.math3.linear with parameters of type ArrayFieldVector
Modifier
Constructor
Description
``
`ArrayFieldVector(ArrayFieldVector<T> v)`
Construct a vector from another vector, using a deep copy.
``
`ArrayFieldVector(ArrayFieldVector<T> v, boolean deep)`
Construct a vector from another vector.
``
`ArrayFieldVector(ArrayFieldVector<T> v1, ArrayFieldVector<T> v2)`
Deprecated.
as of 3.2, replaced by `ArrayFieldVector(FieldVector, FieldVector)`
``
`ArrayFieldVector(ArrayFieldVector<T> v1, T[] v2)`
Deprecated.
as of 3.2, replaced by `ArrayFieldVector(FieldVector, FieldElement[])`
``
`ArrayFieldVector(T[] v1, ArrayFieldVector<T> v2)`
Deprecated.
as of 3.2, replaced by `ArrayFieldVector(FieldElement[], FieldVector)`